<?
defined('BASEPATH') OR exit('No direct script access allowed');

class m_member_group_menu_auth extends CI_Model{

	// 생성자, 해당 모델이 생성될때 항상 실행되는 초기화작업
	function __construct(){
		parent::__construct();

        $this->load->database();
        $this->load->library('session');
	}

    #---------------------------------------------------------------------------
    # PURPOSE :	count
    # CREATE  :	2018-04-28
    #---------------------------------------------------------------------------
	function member_group_menu_auth_count($req_data){
        # request
        $member_group_idx   = $req_data['member_group_idx'];
        $menu_code          = $req_data['menu_code'];

        $this->db->where('member_group_idx', $member_group_idx);
        $this->db->where('menu_code', $menu_code);
        $this->db->where('menu_auth_status', '2');
        $this->db->from('member_group_menu_auth');
        $row = $this->db->count_all_results();

        return $row;
    }
    

}
?>
